'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var uuid = require('uuid');

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var objectWithoutProperties = function (obj, keys) {
  var target = {};

  for (var i in obj) {
    if (keys.indexOf(i) >= 0) continue;
    if (!Object.prototype.hasOwnProperty.call(obj, i)) continue;
    target[i] = obj[i];
  }

  return target;
};

var RadioactiveCircleOutlineIcon = function RadioactiveCircleOutlineIcon(_ref) {
  var _ref$color = _ref.color,
      color = _ref$color === undefined ? 'currentColor' : _ref$color,
      _ref$size = _ref.size,
      size = _ref$size === undefined ? 24 : _ref$size,
      children = _ref.children,
      title = _ref.title,
      props = objectWithoutProperties(_ref, ['color', 'size', 'children', 'title']);

  var className = 'mdi-icon ' + (props.className || '');
  var titleId = title ? title.id ? title.id : uuid.v4() : null;

  return React.createElement(
    'svg',
    _extends({}, props, { 'aria-labelledby': titleId, className: className, width: size, height: size, fill: color, viewBox: '0 0 24 24' }),
    title && React.createElement(
      'title',
      { id: titleId },
      title.name
    ),
    React.createElement('path', { d: 'M12 2C14.65 2 17.2 3.05 19.07 4.93C20.95 6.8 22 9.35 22 12C22 14.65 20.95 17.2 19.07 19.07C17.2 20.95 14.65 22 12 22C9.35 22 6.8 20.95 4.93 19.07C3.05 17.2 2 14.65 2 12C2 6.5 6.5 2 12 2M12 4C7.58 4 4 7.58 4 12C4 16.42 7.58 20 12 20C16.42 20 20 16.42 20 12C20 9.88 19.16 7.84 17.66 6.34C16.16 4.84 14.12 4 12 4M13.5 14L15.55 16.84C14.55 17.57 13.33 18 12 18C10.67 18 9.45 17.57 8.45 16.84L10.5 14C10.94 14.32 11.45 14.5 12 14.5C12.55 14.5 13.06 14.32 13.5 14M12 11C12.55 11 13 11.45 13 12C13 12.55 12.55 13 12 13C11.45 13 11 12.55 11 12C11 11.45 11.45 11 12 11M9.32 6.63L10.88 9.76C10.06 10.17 9.5 11 9.5 12H6C6 9.65 7.35 7.62 9.32 6.63M14.68 6.63C16.65 7.62 18 9.65 18 12H14.5C14.5 11 13.94 10.17 13.12 9.76L14.68 6.63Z' })
  );
};

var RadioactiveCircleOutlineIcon$1 = React.memo ? React.memo(RadioactiveCircleOutlineIcon) : RadioactiveCircleOutlineIcon;

module.exports = RadioactiveCircleOutlineIcon$1;
